// pages/meeting-inspection-history/meeting-inspection-history.js
const util = require('../../utils/util.js');
Page({

    /**
     * 页面的初始数据
     */
    data: {
        current: 1,
        size: 10,
        total: 0,
        list: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let that = this;
        let inspectionType = options.inspectionType;
        let meetingId = options.meetingId;
        util.get({
            url: '/api/inspection/record/list',
            data: {
                current: that.data.current,
                size: that.data.size,
                inspectionType: inspectionType,
                meetingId: meetingId
            },
            success: function (res) {
                console.info(res)
                wx.hideLoading();
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    that.setData({
                        total: res.data.data.total,
                        list: res.data.data.records
                    });
                }
            }
        });
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {
        let that = this;
        that.setData({
            current: 1,
            list: []
        });
        util.get({
            url: '/api/inspection/record/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: (res) => {
                wx.hideLoading();
                wx.stopPullDownRefresh();
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    that.setData({
                        total: res.data.data.total,
                        list: res.data.data.records
                    });
                }
            }
        });
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {
        let that = this;
        let arr = that.data.list;
        let page = that.data.current;
        if (arr.length >= that.data.total) {
            util.toast('没有更多数据了');
            return;
        }
        that.setData({
            current: ++page
        });
        util.get({
            url: '/api/inspection/record/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: (res) => {
                wx.hideLoading();
                wx.stopPullDownRefresh();
                console.info(res);
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    let list = res.data.data.records;
                    that.setData({
                        list: arr.concat(list)
                    });
                }
            }
        });
    },

    /**
     * 查看详情
     * @param {*} e 
     */
    openDetail: function (e) {
        wx.navigateTo({
            url: '../meeting-inspection-history-detail/meeting-inspection-history-detail?id=' + e.currentTarget.dataset.id,
        });
    }
})